Subject: (ngtrans) Comments on draft-toutain-ngtrans-dstm-00.txt

From: Erik Nordmark <[email-masked]>
Date: Mon, 21 Jun 1999 22:12:41 -0700 (PDT)

The use of the TEP RR (for Z4 in in-addr.arpa - example in 4.2.1) seems to
imply  that either the IPv6 side (the AIIH box in the X domain) can dynamically
update records for another domain, or that the AIIH box somehow intercepts the
query for a TEP record for 128.3.4.6 (Z4). Is this true?
It seems to be an odd requirement.
An alternative would be to use static TEP for the outbound (from the IPv6
host) tunneling, which will not be as efficient of the destination
in in the same domain as X.

How does the proposal handle inbound tunneling i.e. IPv4 packets
that must reach through the IPv6 domain to the dual stack host with
the temporarily assigned IPv4 address?
The example in 4.2.3 (first instance of that section number)
seems to imply that only the AIIH box can be doing the tunneling.
It would be desirable to be able for multiple nodes to perform
this inbound tunneling. This can be done e.g. by
 1. Manually configuring these inbound tunneling boxes with the AIIH pool.
 2. When a packet arrives destined to the pool (and no dynamic tunnel
    exists) the box would determine the IPv6 destination for a dynamic
    tunnel by
	2A query in in-addr.arpa for the IPv4 destination address to get
	   the host name.
	2B query for an AAAA record for the host name. 
	[Note that both of the above queries would be answered
	by the AIIH DNS server.]

  Erik

---

From: Laurent Toutain <[email-masked]>
Date: Wed, 23 Jun 1999 10:23:31 +0200

thanks for your comments.

> in in the same domain as X.

The situation depicted in  4.2.1 is when an v4-only host is isolated in a IPv6
cloud.
The v4-only host has a permanent IPv4 address. This implies an administration cost.

The price to maintain interconnectivity with IPv6 hosts is to _manually_ register
the TEP
into the DNS server. I don't think we need dynamic update for this scenario.

Static TEP could be used but as you said it could lead to unnefficient paths.

> seems to imply that only the AIIH box can be doing the tunneling.

I don't understand. In the example 4.2.3 (first instance :-) ), tunneling is done
by the Y router.
The state (i.e. the relation between the IPv4 and IPv6 address) is maintained by
the
AIIH server, but the tunneling is done by a router at the clouds boundary. If the
IPv4 routing
changes and the v4 packet sent by Z arrives on a new Y' router, this router will
contact the AIIH server to get the TEP for X as Y did it previously.